<footer class="footer">
  <div class="card ">
    <!-- si es que no existe la configuracion de los datos -->
    <div class="row mb-4 " *ngIf="!footer">
      <div class="col-md-4 col-sm-11 col-xs-11">
      </div>
      <div class="col-md-2 col-sm-1 col-xs-1 mb-2"></div>
      <div class="col-11">
        <div class="row ">
          <div class="col-xl-6 col-md-4 col-sm-4 col-12   my-auto mx-auto a">
            <div class="d-flex">
              <img src="../../../../../assets/images/Logo.png" width="120px">
            </div>
            <p class="card-text">Dolcherry, reposteria dedicada a la produccion de tortas, macarrons, eclairs, entre
              otros.</p>
            <div class="social mt-2 mb-3">
              <a  > <i class="mdi mdi-facebook"></i></a>
              <a > <i class="mdi mdi-instagram"></i></a>
              <a > <i class="mdi mdi-whatsapp"></i></a>

            </div>
          </div>
          <div class="col-xl-3 col-md-4 col-sm-4 col-12">
            <h5 class="heading">Menu</h5>
            <ul>
              <li>Inicio</li>
              <li>Productos</li>
              <li>Ubicación</li>
              <li><a  routerLink="contact">Contacto</a></li>
              <li><a  routerLink="about">Sobre nosotros</a></li>
            </ul>
          </div>
          <div class="col-xl-3 col-md-4 col-sm-4 col-12">
            <h5 class="heading">Dirección</h5>
            <p class="mb-1">Las lilas 1142, Chillán</p>
          </div>
        </div>
        <div class="row ">
          <div class="col-xl-6 col-md-4 col-sm-4 col-auto  my-md-0 mt-5 order-sm-1 order-3 align-self-end">

          </div>
          <div class="col-xl-3 col-md-4 col-sm-4 col-auto order-1 align-self-end ">
            <h5 class="heading">Correo</h5>
            <small>
              <span><i class="fa fa-envelope" aria-hidden="true"></i>
              </span> 
              dolcherrypatisserie@gmail.com
            </small>
          </div>
          <div class="col-xl-3 col-md-4 col-sm-4 col-auto order-2 align-self-end mt-3   ">
            <h5 class="heading">Teléfono</h5>
            <small>
              <span><i class="fa fa-envelope" aria-hidden="true"></i></span>
              +56930396189
            </small>
          </div>
        </div>
      </div>
    </div>
    <!-- si existe la configuracion del footer, se muestra esta otra opcion -->
    <div class="row mb-4 " *ngIf="footer">
      <div class="col-md-4 col-sm-11 col-xs-11">
      </div>
      <div class="col-md-2 col-sm-1 col-xs-1 mb-2"></div>
      <div class="col-11">
        <div class="row ">
          <div class="col-xl-6 col-md-4 col-sm-4 col-12   my-auto mx-auto a">
            <div class="d-flex">
              <img src="../../../../../assets/images/Logo.png" width="120px">
            </div>
            <p class="card-text">Dolcherry, reposteria dedicada a la produccion de tortas, macarrons, eclairs, entre
              otros.</p>
            <div class="social mt-2 mb-3">
              <a href="{{footer.facebook}}" > <i class="mdi mdi-facebook"></i></a>
              <a href="{{footer.instagram}}"> <i class="mdi mdi-instagram"></i></a>
              <a href="{{footer.whatsapp}}"> <i class="mdi mdi-whatsapp"></i></a>

            </div>
          </div>
          <div class="col-xl-3 col-md-4 col-sm-4 col-12">
            <h5 class="heading">Menu</h5>
            <ul>
              <li class="menuColor" routerLink="/">Inicio</li>
              <li>Productos</li>
              <li>Ubicación</li>
              <li><a  class="menuColor" routerLink="/contact">Contacto</a></li>
              <li><a  class="menuColor" routerLink="/about">Sobre nosotros</a></li>
            </ul>
          </div>
          <div class="col-xl-3 col-md-4 col-sm-4 col-12">
            <h5 class="heading">Dirección</h5>
            <p class="mb-1">Las lilas 1142, Chillán</p>
          </div>
        </div>
        <div class="row ">
          <div class="col-xl-6 col-md-4 col-sm-4 col-auto  my-md-0 mt-5 order-sm-1 order-3 align-self-end">

          </div>
          <div class="col-xl-3 col-md-4 col-sm-4 col-auto order-1 align-self-end ">
            <h5 class="heading">Correo</h5>
            <small>
              <span><i class="fa fa-envelope" aria-hidden="true"></i>
              </span> {{footer.correo}}
            </small>
          </div>
          <div class="col-xl-3 col-md-4 col-sm-4 col-auto order-2 align-self-end mt-3   ">
            <h5 class="heading">Teléfono</h5>
            <small>
              <span><i class="mdi mdi-phone" aria-hidden="true">+569 </i></span>
              {{footer.numero_celular}}
            </small>
          </div>
        </div>
      </div>
    </div>
    <div class="divider mb-4">
    </div>
    <div class="row" style="font-size:10px;">
      <div class="col-md-6 col-sm-6 col-xs-6">
        <div class="pull-left">
          <p><i class="fa fa-copyright"></i> 2022 UBB</p>
        </div>
      </div>
      <div class="col-md-6 col-sm-6 col-xs-6">
        <div class="pull-right mr-4 d-flex policy">
          <div>Terms of Use</div>
          <div>Privacy Policy</div>
          <div>Cookie Policy</div>
        </div>
      </div>
    </div>
  </div>

</footer>
